Security update for postgresql, postgresql13, postgresql14

SUSE Security Update: Security update for postgresql, postgresql13, postgresql14
Announcement ID: SUSE-SU-2021:3755-1
Rating: important
References: #1192516
Cross-References:CVE-2021-23214 CVE-2021-23222
Affected Products:
  • SUSE OpenStack Cloud Crowbar 9
  • SUSE OpenStack Cloud Crowbar 8
  • SUSE OpenStack Cloud 9
  • SUSE OpenStack Cloud 8
  • SUSE Linux Enterprise Software Development Kit 12-SP5
  • SUSE Linux Enterprise Server for SAP 12-SP4
  • SUSE Linux Enterprise Server for SAP 12-SP3
  • SUSE Linux Enterprise Server 12-SP5
  • SUSE Linux Enterprise Server 12-SP4-LTSS
  • SUSE Linux Enterprise Server 12-SP3-LTSS
  • SUSE Linux Enterprise Server 12-SP3-BCL
  • SUSE Linux Enterprise Server 12-SP2-BCL
  • HPE Helion Openstack 8

An update that fixes two vulnerabilities, contains one feature is now available.

Description:

This update for postgresql, postgresql13 and postgresql14 fixes the following issues:
Security issues fixed:

  • CVE-2021-23214: Make the server reject extraneous data after an SSL or GSS encryption handshake (bsc#1192516).
  • CVE-2021-23222: Make libpq reject extraneous data after an SSL or GSS encryption handshake (bsc#1192516).

This update also ships postgresql14 to SUSE Linux Enterprise 12 SP5. (jsc#SLE-22673) On older service packs only libpq5 and libecpg6 are being replaced by the postgresql14 variants.
Feature changes in postgresql14:
  • https://www.postgresql.org/about/news/postgresql-14-released-2318/
  • https://www.postgresql.org/docs/14/release-14.html

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE OpenStack Cloud Crowbar 9:
    zypper in -t patch SUSE-OpenStack-Cloud-Crowbar-9-2021-3755=1
  • SUSE OpenStack Cloud Crowbar 8:
    zypper in -t patch SUSE-OpenStack-Cloud-Crowbar-8-2021-3755=1
  • SUSE OpenStack Cloud 9:
    zypper in -t patch SUSE-OpenStack-Cloud-9-2021-3755=1
  • SUSE OpenStack Cloud 8:
    zypper in -t patch SUSE-OpenStack-Cloud-8-2021-3755=1
  • SUSE Linux Enterprise Software Development Kit 12-SP5:
    zypper in -t patch SUSE-SLE-SDK-12-SP5-2021-3755=1
  • SUSE Linux Enterprise Server for SAP 12-SP4:
    zypper in -t patch SUSE-SLE-SAP-12-SP4-2021-3755=1
  • SUSE Linux Enterprise Server for SAP 12-SP3:
    zypper in -t patch SUSE-SLE-SAP-12-SP3-2021-3755=1
  • SUSE Linux Enterprise Server 12-SP5:
    zypper in -t patch SUSE-SLE-SERVER-12-SP5-2021-3755=1
  • SUSE Linux Enterprise Server 12-SP4-LTSS:
    zypper in -t patch SUSE-SLE-SERVER-12-SP4-LTSS-2021-3755=1
  • SUSE Linux Enterprise Server 12-SP3-LTSS:
    zypper in -t patch SUSE-SLE-SERVER-12-SP3-2021-3755=1
  • SUSE Linux Enterprise Server 12-SP3-BCL:
    zypper in -t patch SUSE-SLE-SERVER-12-SP3-BCL-2021-3755=1
  • SUSE Linux Enterprise Server 12-SP2-BCL:
    zypper in -t patch SUSE-SLE-SERVER-12-SP2-BCL-2021-3755=1
  • HPE Helion Openstack 8:
    zypper in -t patch HPE-Helion-OpenStack-8-2021-3755=1

Package List:

  • SUSE OpenStack Cloud Crowbar 9 (x86_64):
    • libecpg6-14.1-3.3.1
    • libecpg6-debuginfo-14.1-3.3.1
    • libpq5-14.1-3.3.1
    • libpq5-32bit-14.1-3.3.1
    • libpq5-debuginfo-14.1-3.3.1
    • libpq5-debuginfo-32bit-14.1-3.3.1
  • SUSE OpenStack Cloud Crowbar 9 (noarch):
    • postgresql-14-4.10.1
    • postgresql-contrib-14-4.10.1
    • postgresql-docs-14-4.10.1
    • postgresql-plperl-14-4.10.1
    • postgresql-plpython-14-4.10.1
    • postgresql-pltcl-14-4.10.1
    • postgresql-server-14-4.10.1
  • SUSE OpenStack Cloud Crowbar 8 (x86_64):
    • libecpg6-14.1-3.3.1
    • libecpg6-debuginfo-14.1-3.3.1
    • libpq5-14.1-3.3.1
    • libpq5-32bit-14.1-3.3.1
    • libpq5-debuginfo-14.1-3.3.1
    • libpq5-debuginfo-32bit-14.1-3.3.1
  • SUSE OpenStack Cloud Crowbar 8 (noarch):
    • postgresql-14-4.10.1
    • postgresql-contrib-14-4.10.1
    • postgresql-docs-14-4.10.1
    • postgresql-plperl-14-4.10.1
    • postgresql-plpython-14-4.10.1
    • postgresql-pltcl-14-4.10.1
    • postgresql-server-14-4.10.1
  • SUSE OpenStack Cloud 9 (x86_64):
    • libecpg6-14.1-3.3.1
    • libecpg6-debuginfo-14.1-3.3.1
    • libpq5-14.1-3.3.1
    • libpq5-32bit-14.1-3.3.1
    • libpq5-debuginfo-14.1-3.3.1
    • libpq5-debuginfo-32bit-14.1-3.3.1
  • SUSE OpenStack Cloud 9 (noarch):
    • postgresql-14-4.10.1
    • postgresql-contrib-14-4.10.1
    • postgresql-docs-14-4.10.1
    • postgresql-plperl-14-4.10.1
    • postgresql-plpython-14-4.10.1
    • postgresql-pltcl-14-4.10.1
    • postgresql-server-14-4.10.1
  • SUSE OpenStack Cloud 8 (x86_64):
    • libecpg6-14.1-3.3.1
    • libecpg6-debuginfo-14.1-3.3.1
    • libpq5-14.1-3.3.1
    • libpq5-32bit-14.1-3.3.1
    • libpq5-debuginfo-14.1-3.3.1
    • libpq5-debuginfo-32bit-14.1-3.3.1
  • SUSE OpenStack Cloud 8 (noarch):
    • postgresql-14-4.10.1
    • postgresql-contrib-14-4.10.1
    • postgresql-docs-14-4.10.1
    • postgresql-plperl-14-4.10.1
    • postgresql-plpython-14-4.10.1
    • postgresql-pltcl-14-4.10.1
    • postgresql-server-14-4.10.1
  • SUSE Linux Enterprise Software Development Kit 12-SP5 (aarch64 ppc64le s390x x86_64):
    • postgresql13-debugsource-13.5-3.15.2
    • postgresql13-devel-13.5-3.15.2
    • postgresql13-devel-debuginfo-13.5-3.15.2
    • postgresql14-debugsource-14.1-3.3.1
    • postgresql14-devel-14.1-3.3.1
    • postgresql14-devel-debuginfo-14.1-3.3.1
  • SUSE Linux Enterprise Software Development Kit 12-SP5 (ppc64le s390x x86_64):
    • postgresql13-server-devel-13.5-3.15.2
    • postgresql13-server-devel-debuginfo-13.5-3.15.2
    • postgresql14-server-devel-14.1-3.3.1
    • postgresql14-server-devel-debuginfo-14.1-3.3.1
  • SUSE Linux Enterprise Software Development Kit 12-SP5 (noarch):
    • postgresql-devel-14-4.10.1
    • postgresql-server-devel-14-4.10.1
  • SUSE Linux Enterprise Server for SAP 12-SP4 (ppc64le x86_64):
    • libecpg6-14.1-3.3.1
    • libecpg6-debuginfo-14.1-3.3.1
    • libpq5-14.1-3.3.1
    • libpq5-debuginfo-14.1-3.3.1
  • SUSE Linux Enterprise Server for SAP 12-SP4 (x86_64):
    • libpq5-32bit-14.1-3.3.1
    • libpq5-debuginfo-32bit-14.1-3.3.1
  • SUSE Linux Enterprise Server for SAP 12-SP4 (noarch):
    • postgresql-14-4.10.1
    • postgresql-contrib-14-4.10.1
    • postgresql-docs-14-4.10.1
    • postgresql-plperl-14-4.10.1
    • postgresql-plpython-14-4.10.1
    • postgresql-pltcl-14-4.10.1
    • postgresql-server-14-4.10.1
  • SUSE Linux Enterprise Server for SAP 12-SP3 (ppc64le x86_64):
    • libecpg6-14.1-3.3.1
    • libecpg6-debuginfo-14.1-3.3.1
    • libpq5-14.1-3.3.1
    • libpq5-debuginfo-14.1-3.3.1
  • SUSE Linux Enterprise Server for SAP 12-SP3 (x86_64):
    • libpq5-32bit-14.1-3.3.1
    • libpq5-debuginfo-32bit-14.1-3.3.1
  • SUSE Linux Enterprise Server for SAP 12-SP3 (noarch):
    • postgresql-14-4.10.1
    • postgresql-contrib-14-4.10.1
    • postgresql-docs-14-4.10.1
    • postgresql-plperl-14-4.10.1
    • postgresql-plpython-14-4.10.1
    • postgresql-pltcl-14-4.10.1
    • postgresql-server-14-4.10.1
  • SUSE Linux Enterprise Server 12-SP5 (aarch64 ppc64le s390x x86_64):
    • libecpg6-14.1-3.3.1
    • libecpg6-debuginfo-14.1-3.3.1
    • libpq5-14.1-3.3.1
    • libpq5-debuginfo-14.1-3.3.1
    • postgresql13-13.5-3.15.2
    • postgresql13-contrib-13.5-3.15.2
    • postgresql13-contrib-debuginfo-13.5-3.15.2
    • postgresql13-debuginfo-13.5-3.15.2
    • postgresql13-debugsource-13.5-3.15.2
    • postgresql13-plperl-13.5-3.15.2
    • postgresql13-plperl-debuginfo-13.5-3.15.2
    • postgresql13-plpython-13.5-3.15.2
    • postgresql13-plpython-debuginfo-13.5-3.15.2
    • postgresql13-pltcl-13.5-3.15.2
    • postgresql13-pltcl-debuginfo-13.5-3.15.2
    • postgresql13-server-13.5-3.15.2
    • postgresql13-server-debuginfo-13.5-3.15.2
    • postgresql14-14.1-3.3.1
    • postgresql14-contrib-14.1-3.3.1
    • postgresql14-contrib-debuginfo-14.1-3.3.1
    • postgresql14-debuginfo-14.1-3.3.1
    • postgresql14-debugsource-14.1-3.3.1
    • postgresql14-plperl-14.1-3.3.1
    • postgresql14-plperl-debuginfo-14.1-3.3.1
    • postgresql14-plpython-14.1-3.3.1
    • postgresql14-plpython-debuginfo-14.1-3.3.1
    • postgresql14-pltcl-14.1-3.3.1
    • postgresql14-pltcl-debuginfo-14.1-3.3.1
    • postgresql14-server-14.1-3.3.1
    • postgresql14-server-debuginfo-14.1-3.3.1
  • SUSE Linux Enterprise Server 12-SP5 (s390x x86_64):
    • libpq5-32bit-14.1-3.3.1
    • libpq5-debuginfo-32bit-14.1-3.3.1
  • SUSE Linux Enterprise Server 12-SP5 (noarch):
    • postgresql-14-4.10.1
    • postgresql-contrib-14-4.10.1
    • postgresql-docs-14-4.10.1
    • postgresql-plperl-14-4.10.1
    • postgresql-plpython-14-4.10.1
    • postgresql-pltcl-14-4.10.1
    • postgresql-server-14-4.10.1
    • postgresql13-docs-13.5-3.15.2
    • postgresql14-docs-14.1-3.3.1
  • SUSE Linux Enterprise Server 12-SP4-LTSS (aarch64 ppc64le s390x x86_64):
    • libecpg6-14.1-3.3.1
    • libecpg6-debuginfo-14.1-3.3.1
    • libpq5-14.1-3.3.1
    • libpq5-debuginfo-14.1-3.3.1
  • SUSE Linux Enterprise Server 12-SP4-LTSS (s390x x86_64):
    • libpq5-32bit-14.1-3.3.1
    • libpq5-debuginfo-32bit-14.1-3.3.1
  • SUSE Linux Enterprise Server 12-SP4-LTSS (noarch):
    • postgresql-14-4.10.1
    • postgresql-contrib-14-4.10.1
    • postgresql-docs-14-4.10.1
    • postgresql-plperl-14-4.10.1
    • postgresql-plpython-14-4.10.1
    • postgresql-pltcl-14-4.10.1
    • postgresql-server-14-4.10.1
  • SUSE Linux Enterprise Server 12-SP3-LTSS (aarch64 ppc64le s390x x86_64):
    • libecpg6-14.1-3.3.1
    • libecpg6-debuginfo-14.1-3.3.1
    • libpq5-14.1-3.3.1
    • libpq5-debuginfo-14.1-3.3.1
  • SUSE Linux Enterprise Server 12-SP3-LTSS (s390x x86_64):
    • libpq5-32bit-14.1-3.3.1
    • libpq5-debuginfo-32bit-14.1-3.3.1
  • SUSE Linux Enterprise Server 12-SP3-LTSS (noarch):
    • postgresql-14-4.10.1
    • postgresql-contrib-14-4.10.1
    • postgresql-docs-14-4.10.1
    • postgresql-plperl-14-4.10.1
    • postgresql-plpython-14-4.10.1
    • postgresql-pltcl-14-4.10.1
    • postgresql-server-14-4.10.1
  • SUSE Linux Enterprise Server 12-SP3-BCL (noarch):
    • postgresql-14-4.10.1
    • postgresql-contrib-14-4.10.1
    • postgresql-docs-14-4.10.1
    • postgresql-plperl-14-4.10.1
    • postgresql-plpython-14-4.10.1
    • postgresql-pltcl-14-4.10.1
    • postgresql-server-14-4.10.1
  • SUSE Linux Enterprise Server 12-SP3-BCL (x86_64):
    • libecpg6-14.1-3.3.1
    • libecpg6-debuginfo-14.1-3.3.1
    • libpq5-14.1-3.3.1
    • libpq5-32bit-14.1-3.3.1
    • libpq5-debuginfo-14.1-3.3.1
    • libpq5-debuginfo-32bit-14.1-3.3.1
  • SUSE Linux Enterprise Server 12-SP2-BCL (noarch):
    • postgresql-14-4.10.1
    • postgresql-contrib-14-4.10.1
    • postgresql-docs-14-4.10.1
    • postgresql-plperl-14-4.10.1
    • postgresql-plpython-14-4.10.1
    • postgresql-pltcl-14-4.10.1
    • postgresql-server-14-4.10.1
  • SUSE Linux Enterprise Server 12-SP2-BCL (x86_64):
    • libecpg6-14.1-3.3.1
    • libecpg6-debuginfo-14.1-3.3.1
    • libpq5-14.1-3.3.1
    • libpq5-32bit-14.1-3.3.1
    • libpq5-debuginfo-14.1-3.3.1
    • libpq5-debuginfo-32bit-14.1-3.3.1
  • HPE Helion Openstack 8 (x86_64):
    • libecpg6-14.1-3.3.1
    • libecpg6-debuginfo-14.1-3.3.1
    • libpq5-14.1-3.3.1
    • libpq5-32bit-14.1-3.3.1
    • libpq5-debuginfo-14.1-3.3.1
    • libpq5-debuginfo-32bit-14.1-3.3.1
  • HPE Helion Openstack 8 (noarch):
    • postgresql-14-4.10.1
    • postgresql-contrib-14-4.10.1
    • postgresql-docs-14-4.10.1
    • postgresql-plperl-14-4.10.1
    • postgresql-plpython-14-4.10.1
    • postgresql-pltcl-14-4.10.1
    • postgresql-server-14-4.10.1

References: